Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Resource_Factory Class Reference

Factory which manufacturers resources for use by the ORB Core. More...

`#include <Resource_Factory.h>`

Inheritance diagram for TAO_Resource_Factory

[legend]
Collaboration diagram for TAO_Resource_Factory:

[legend]
List of all members.

## Public Types
enum | Caching_Strategy { LRU, LFU, FIFO, NOOP }
## Public Methods
| TAO_Resource_Factory (void)
virtual | ~TAO_Resource_Factory (void)
virtual int | use_tss_resources (void) const
| Backwards compatibility, return 1 if the ORB core should use TSS resources. More...
virtual int | use_locked_data_blocks (void) const
| Backwards compatibility, return 1 if the ORB core should use Locked_Data_Blocks. More...
virtual ACE_Reactor* | get_reactor (void)
| Return an to be utilized.
virtual void | reclaim_reactor (ACE_Reactor *reactor)
| Reclaim reactor resources (e.g. deallocate, etc).
virtual TAO_Acceptor_Registry* | get_acceptor_registry (void)
| return a reference to the acceptor registry.
virtual TAO_Connector_Registry* | get_connector_registry (void)
| Return an Connector to be utilized.
virtual ACE_Allocator* | input_cdr_dblock_allocator (void)
| Access the input CDR allocators.
virtual ACE_Allocator* | input_cdr_buffer_allocator (void)
virtual ACE_Allocator* | input_cdr_msgblock_allocator (void)
virtual int | input_cdr_allocator_type_locked (void)
virtual ACE_Allocator* | output_cdr_dblock_allocator (void)
| Access the output CDR allocators.
virtual ACE_Allocator* | output_cdr_buffer_allocator (void)
virtual ACE_Allocator* | output_cdr_msgblock_allocator (void)
virtual TAO_ProtocolFactorySet* | get_protocol_factories (void)
virtual int | init_protocol_factories (void)
virtual Caching_Strategy | connection_caching_strategy_type (void) const
| This accesses the connection caching strategy we use for managing purging of unused entries from the connection cache on demnad.
virtual int | cache_maximum (void) const
| This denotes the maximum number of connections that can be cached.
virtual int | purge_percentage (void) const
| This denotes the amount of entries to remove from the connection cache.
virtual int | get_parser_names (char **&names, int &number_of_names)
virtual ACE_Lock* | create_cached_connection_lock (void)
| Creates the lock for the lock needed in the Cache Map.
virtual TAO_Flushing_Strategy* | create_flushing_strategy (void) = 0
| Creates the flushing strategy. The new instance is owned by the caller.
virtual TAO_Connection_Purging_Strategy* | create_purging_strategy (void) = 0
| Creates the connection purging strategy.
virtual TAO_LF_Strategy* | create_lf_strategy (void) = 0
| Creates the leader followers strategy. The new instance is owned by the caller.
virtual void | disable_factory (void) = 0
| Disables the factory. When a new factory is installed and used, this function should be called on the previously used (default) factory. This should result in proper error reporting if the user attempts to set options on an unused factory.
## Protected Methods
virtual int | load_default_protocols (void)

## Detailed Description

Factory which manufacturers resources for use by the ORB Core.

This class is a factory/repository for critical ORB Core resources.

## Member Enumeration Documentation

enum TAO_Resource_Factory::Caching_Strategy

  | Enumeration values:
  LRU |
  LFU |
  FIFO |
  NOOP |

## Constructor & Destructor Documentation

TAO_Resource_Factory::TAO_Resource_Factory ( | void )

TAO_Resource_Factory::~TAO_Resource_Factory ( | void )`[virtual]`

## Member Function Documentation

int TAO_Resource_Factory::cache_maximum ( | void ) const`[virtual]`

| This denotes the maximum number of connections that can be cached. Reimplemented in TAO_Default_Resource_Factory.

Caching_Strategy TAO_Resource_Factory::connection_caching_strategy_type ( | void ) const`[virtual]`

| This accesses the connection caching strategy we use for managing purging of unused entries from the connection cache on demnad. Reimplemented in TAO_Default_Resource_Factory.

ACE_Lock * TAO_Resource_Factory::create_cached_connection_lock ( | void )`[virtual]`

| Creates the lock for the lock needed in the Cache Map. Reimplemented in TAO_Default_Resource_Factory.

TAO_Flushing_Strategy * TAO_Resource_Factory::create_flushing_strategy ( | void )`[pure virtual]`

| Creates the flushing strategy. The new instance is owned by the caller. Reimplemented in TAO_Default_Resource_Factory.

TAO_LF_Strategy * TAO_Resource_Factory::create_lf_strategy ( | void )`[pure virtual]`

| Creates the leader followers strategy. The new instance is owned by the caller. Reimplemented in TAO_Default_Resource_Factory.

TAO_Connection_Purging_Strategy * TAO_Resource_Factory::create_purging_strategy ( | void )`[pure virtual]`

| Creates the connection purging strategy. Reimplemented in TAO_Default_Resource_Factory.

void TAO_Resource_Factory::disable_factory ( | void )`[pure virtual]`

| Disables the factory. When a new factory is installed and used, this function should be called on the previously used (default) factory. This should result in proper error reporting if the user attempts to set options on an unused factory. Reimplemented in TAO_Default_Resource_Factory.

TAO_Acceptor_Registry * TAO_Resource_Factory::get_acceptor_registry ( | void )`[virtual]`

| return a reference to the acceptor registry. Reimplemented in TAO_Default_Resource_Factory.

TAO_Connector_Registry * TAO_Resource_Factory::get_connector_registry ( | void )`[virtual]`

| Return an Connector to be utilized. Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::get_parser_names ( | char **& names,
| int & number_of_names )`[virtual]`

| Reimplemented in TAO_Default_Resource_Factory.

TAO_ProtocolFactorySet * TAO_Resource_Factory::get_protocol_factories ( | void )`[virtual]`

| The protocol factory list is implemented in this class since a) it will be a global resource and b) it is initialized at start up and then not altered. Returns a container holding the list of loaded protocols. Reimplemented in TAO_Default_Resource_Factory.

ACE_Reactor * TAO_Resource_Factory::get_reactor ( | void )`[virtual]`

| Return an to be utilized. Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::init_protocol_factories ( | void )`[virtual]`

| this method will loop through the protocol list and using the protocol name field this method will retrieve a pointer to the associated protocol factory from the service configurator. It is assumed that only one thread will call this method at ORB initialization. NON-THREAD-SAFE Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::input_cdr_allocator_type_locked ( | void )`[virtual]`

| Reimplemented in TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Resource_Factory::input_cdr_buffer_allocator ( | void )`[virtual]`

| Reimplemented in TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Resource_Factory::input_cdr_dblock_allocator ( | void )`[virtual]`

| Access the input CDR allocators. Reimplemented in TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Resource_Factory::input_cdr_msgblock_allocator ( | void )`[virtual]`

| Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::load_default_protocols ( | void )`[protected, virtual]`

| Loads the default protocols. This method is used so that the advanced_resource.cpp can call the one in default_resource.cpp without calling unnecessary functions. Reimplemented in TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Resource_Factory::output_cdr_buffer_allocator ( | void )`[virtual]`

| Reimplemented in TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Resource_Factory::output_cdr_dblock_allocator ( | void )`[virtual]`

| Access the output CDR allocators. Reimplemented in TAO_Default_Resource_Factory.

ACE_Allocator * TAO_Resource_Factory::output_cdr_msgblock_allocator ( | void )`[virtual]`

| Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::purge_percentage ( | void ) const`[virtual]`

| This denotes the amount of entries to remove from the connection cache. Reimplemented in TAO_Default_Resource_Factory.

void TAO_Resource_Factory::reclaim_reactor ( | ACE_Reactor * reactor )`[virtual]`

| Reclaim reactor resources (e.g. deallocate, etc). Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::use_locked_data_blocks ( | void ) const`[virtual]`

| Backwards compatibility, return 1 if the ORB core should use Locked_Data_Blocks. @ Reimplemented in TAO_Default_Resource_Factory.

int TAO_Resource_Factory::use_tss_resources ( | void ) const`[virtual]`

| Backwards compatibility, return 1 if the ORB core should use TSS resources. @ Reimplemented in TAO_Default_Resource_Factory.

The documentation for this class was generated from the following files:

- Resource_Factory.h
- Resource_Factory.cpp